'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _hasAttribute = require('./hasAttribute');

var _hasAttribute2 = _interopRequireDefault(_hasAttribute);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var interactiveMap = {
  a: function a(attributes) {
    var hasHref = (0, _hasAttribute2.default)(attributes, 'href');
    var hasTabIndex = (0, _hasAttribute2.default)(attributes, 'tabIndex');
    return Boolean(hasHref) || !hasHref && Boolean(hasTabIndex);
  },
  button: function button() {
    return true;
  },
  input: function input(attributes) {
    var hasTypeAttr = (0, _hasAttribute2.default)(attributes, 'type');
    return hasTypeAttr ? hasTypeAttr.toUpperCase() !== 'HIDDEN' : true;
  },
  option: function option() {
    return true;
  },
  select: function select() {
    return true;
  },
  textarea: function textarea() {
    return true;
  }
};

var isInteractiveElement = function isInteractiveElement(tagName, attributes) {
  if (interactiveMap.hasOwnProperty(tagName) === false) {
    return false;
  }

  return interactiveMap[tagName](attributes);
};

exports.default = isInteractiveElement;